Bug 3791 - [UPDATE REQUEST] system-208-208-26 & cryptsetup-1.6.1-2
: [UPDATE REQUEST] system-208-208-26 & cryptsetup-1.6.1-2
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-20 16:49 MSK by Aleksandr Kazantcev
Modified: 2014-02-24 17:22 MSK (History)
3 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aleksandr Kazantcev 2014-02-20 16:49:26 MSK
Fix support encrypted partition
Comment 1 Aleksandr Kazantcev 2014-02-20 16:51:42 MSK
cryptsetup

https://abf.rosalinux.ru/build_lists/1647808
https://abf.rosalinux.ru/build_lists/1647809

systemd

https://abf.rosalinux.ru/build_lists/1647840
https://abf.rosalinux.ru/build_lists/1647841

Advisory: This update fix support for encrypted device in systemd 208, missing due version mismatch. Now crypt partition and device correctly detect and work.
Comment 2 Postnikov Dmitry 2014-02-22 13:10:10 MSK
Hm... I can't make an encrypted partition in installer with new systemd.
http://yadi.sk/d/Px5T2ytoJLh3G
Comment 3 Aleksandr Kazantcev 2014-02-22 13:21:34 MSK
Installer has another bug - break create and format encrypted partition. But manually all work OK.
Comment 4 Postnikov Dmitry 2014-02-22 16:02:52 MSK
UUUuuuuuu .... :)
Yes. Works but with great reservations.

1. Start KDE R2 in LiveCD mode.
2. Update from here container.
3. My hdd in VB:
sda1 - /boot
sda2 - swap
sda3 - crypted. 
I manual created partition /sda3 in Gparted as EXT4, after in konsole created crypted partition:

cryptsetup --cipher aes-xts-plain --key-size 512 --verify-passphrase luksFormat /dev/sda3

and open partition:

cryptsetup luksOpen /dev/sda1 crypted

4. Start draklive-install (gui), install Fresh KDE R2.
5. After install, from Firt boot i write Grub2 menu:

change "root=/dev/mapper/crypted"

6. Booting.... black screen and dracut:...
7. In dracut mode:

cryptosetup lukOpen /dev/sda3 crypted
and press Ctrl+D

8. Wow!!! Continuous booting and second step installations!!! :)

All work.

But.... !!! :(:( this steps needed made automaticaly.
Comment 5 Aleksandr Kazantcev 2014-02-22 16:13:24 MSK
This part not depend from systemd. And more - without this update we will not fix draklive-install :( And work with crypt partition, because in current systemd they not supported.
Comment 6 Postnikov Dmitry 2014-02-22 23:09:25 MSK
I make automount LUKS partition! :)
All work in automaticaly!!
http://yadi.sk/d/luBjpwHlJNAZ3
Comment 7 Vladimir Potapov 2014-02-24 16:55:27 MSK
cryptsetup-1.6.1-2
http://abf-downloads.rosalinux.ru/rosa2012.1/container/1647808/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2012.1/container/1647809/x86_64/main/release/ 

systemd-208-26
http://abf-downloads.rosalinux.ru/rosa2012.1/container/1647840/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2012.1/container/1647841/x86_64/main/release/
*****************  Advisory ********************
This update fix support for encrypted device in systemd 208, missing due version mismatch. Now crypt partition and device correctly detect and work.
************************************************
QA Verified